

if [ -d cascade-make ] ; then
  source cascade-make/lib/cascade-lib.bash GEXTAMP . $*
fi

if [ -z $GEXTAMP ] ; then
  source ./setup.sh
fi

if [ -z $GEXTAMP_DEVEL ] ; then
    # Set environment variable so we can tell devel.bash has been sourced
    export GEXTAMP_DEVEL=$GEXT_AMP
    
    export PATH="$GEXTAMP_INSTALLED/bin:$PATH"
    export CFLAGS="-I$GEXTAMP_INSTALLED/include $CFLAGS"
    export CPPFLAGS="-I$GEXTAMP_INSTALLED/include $CPPFLAGS"
    export CXXFLAGS="-I$GEXTAMP_INSTALLED/include $CXXFLAGS"
    export LDFLAGS="-L$GEXTAMP_INSTALLED/lib $LDFLAGS"
    export PKG_CONFIG_PATH="$GEXTAMP_INSTALLED/lib/pkgconfig:$PKG_CONFIG_PATH"
    
    echo "+Your environment is now setup to compile with the AMP (Apache-MySQL-PHP) extension"

else
    echo "+Your environment is already setup to compile with the AMP (Apache-MySQL-PHP) extension"
fi
